from setuptools import setup, find_packages

# WARNING: egg_info_patch is a temporary patch used to build sdist with 
# appropriate revision number. This feature is not supported by setuptools.
# Remove this patch as soon as svn structure changes to not use EXTERNALS 
# anymore.
import egg_info_patch

version = '5.4.7'

setup(name='Products.AGProjects',
      version=version,
      description="AGProjects Product is used to redistribute code from "\
                  "AG Projects to be used in our Zope products.",
      long_description=open("README.txt").read() + "\n" + \
                       open("CHANGES.txt").read(),
      classifiers=[
        "Framework :: Zope2",
        "Operating System :: OS Independent",
        ],
      keywords='Zope ERP5',
      author='NEXEDI SA',
      author_email='info@nexedi.com',
      url='http://svn.erp5.org/erp5/trunk/products/AGProjects',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
      ],
      )
